
# Build with mp3 encoding support via lame, disabled by default
%bcond_with plf
%if %with plf
%define distsuffix plf
%endif

Name: kaffeine
Version: 0.8.7
Release: %mkrel 1
Summary: Media Player for KDE
Group:  Graphical desktop/KDE
License: GPLv2+
Url: http://kaffeine.kde.org/
Source: http://prdownloads.sourceforge.net/kaffeine/%{name}-%{version}.tar.bz2
Source1: %{name}-doc-pt_BR.tar.bz2
Patch0:     kaffeine-0.8.5-remove-wizard.patch
Patch2:     kaffeine-0.8.5-fix-real-media.patch
Conflicts: %mklibname %{name} 0 -d < 0.8.3-2mdv2007.1
Conflicts: %{_lib}kaffeine0 < 0.8.5-3
BuildRequires: kdelibs-devel
BuildRequires: libvorbis-devel
BuildRequires: libcdda-devel
BuildRequires: libxtst-devel
BuildRequires: libpthread-stubs
BuildRequires: libxcb-devel
BuildRequires: desktop-file-utils
%if %with plf
BuildRequires: lame-devel
%endif
Requires: %name-engine-xine
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root

%description
Kaffeine is a KDE Multi Engine Media Player.

%if %with plf
This package is in PLF because it includes MP3 encoding support which
may be covered by software patents in some countries.
%endif

%if %mdkversion < 200900
%post
%{update_menus}
%{update_desktop_database}
%update_icon_cache hicolor
%endif

%if %mdkversion < 200900
%postun
%{clean_menus}
%{clean_desktop_database}
%clean_icon_cache hicolor
%endif

%files -f %{name}.lang
%defattr(-,root,root)
%doc AUTHORS COPYING INSTALL README TODO
%{_kde3_bindir}/kaffeine
%{_kde3_datadir}/applications/kde/kaffeine.desktop
%{_kde3_datadir}/mimelnk/*/*
%{_kde3_libdir}/kde3/*
%{_kde3_appsdir}/kaffeine
%{_kde3_appsdir}/profiles/kaffeine.profile.xml
%{_kde3_appsdir}/konqueror/servicemenus/*
%{_kde3_datadir}/services/kaffeine*
%{_kde3_iconsdir}/hicolor/*/*/*.png
%{_kde3_datadir}/servicetypes/*
%{_kde3_libdir}/libkaffeinepart.so
%lang(pt_BR) %_kde3_docdir/HTML/pt_BR/kaffeine
#--------------------------------------------------------------------

%package engine-xine
Group:  Graphical desktop/KDE
Requires: xine-plugins
Summary: Xine engine for kaffeine
BuildRequires: gstreamer0.10-devel
BuildRequires: libgstreamer0.10-plugins-base-devel
BuildRequires: libxine-devel
Requires: kaffeine

%description engine-xine
Summary: Xine engine for kaffeine

%files engine-xine
%defattr(-,root,root)
%_kde3_libdir/kde3/libxine*
%_kde3_appsdir/kaffeine/xine*
%{_kde3_datadir}/services/xine*

#--------------------------------------------------------------------

%package engine-gstreamer
Group:  Graphical desktop/KDE
Summary: GStreamer engine for kaffeine
Requires: kaffeine
Requires: gstreamer0.10-plugins-base >= 0.10
Requires: gstreamer0.10-plugins-good

%description engine-gstreamer
Summary: Xine engine for kaffeine

%files engine-gstreamer
%defattr(-,root,root)
%_kde3_libdir/kde3/libgstreamer*
%_kde3_appsdir/gstreamerpart
%{_kde3_datadir}/services/gstreamer*

#--------------------------------------------------------------------

%define libmajor 0
%define libname %mklibname %{name} %{libmajor}

%package -n %libname
Group:          System/Libraries
Summary:        Kaffeine kpart library

%description -n %libname
Kaffeine is a Xine-based Media Player for QT/KDE3. This is a kpart
library of Kaffeine.

%if %mdkversion < 200900
%post -n %libname -p /sbin/ldconfig
%endif
%if %mdkversion < 200900
%postun -n %libname -p /sbin/ldconfig
%endif

%files -n %libname
%defattr(-,root,root)
%_kde3_libdir/*.so.%{libmajor}*

#--------------------------------------------------------------------

%define develname %mklibname %{name} -d

%package -n %{develname}
Group: Development/C++
Summary: Kaffeine kpart library headers
Requires: %libname = %version-%release
Provides: kaffeine-devel = %version-%release
Provides: libkaffeine-devel = %version-%release
Conflicts: %libname < 0.8.3-2mdv2007.1
Obsoletes: %mklibname %{name} 0 -d

%description -n %{develname}
Kaffeine is a Media Player for QT/KDE3. This is a kpart
library of Kaffeine.

%files -n %{develname}
%defattr(-,root,root)
%_kde3_libdir/libkaffeinedvbplugin.so
%_kde3_libdir/libkaffeineepgplugin.so
%_kde3_libdir/libkaffeineaudioencoder.so
%_kde3_libdir/*.la
%_kde3_includedir/%{name}/

#--------------------------------------------------------------------

%prep
%setup -q -a 1 -n %{name}-%{version}
%patch0 -p0
%patch2 -p0

%build
export QTLIB=%qt3dir

%configure_kde3 \
	 --enable-nmcheck \
%if %without plf
	 --without-lame
%endif

%make

%install
rm -rf %{buildroot}
%makeinstall_std
%find_lang %{name} --all-name --with-html

# (nl) this have been commited upstream, so remove desktop-file-install for next version
desktop-file-install --vendor='' \
	--dir=%buildroot%_kde3_datadir/applications/kde \
	--remove-key='Encoding' \
	--remove-category='Application' \
	%buildroot%_kde3_datadir/applications/kde/*.desktop

# this file is merged into kdelibs-common
rm -f %buildroot%_kde3_datadir/mimelnk/application/x-mplayer2.desktop

#pt_BR
mkdir -p  $RPM_BUILD_ROOT%_kde3_docdir/HTML/pt_BR/
cp -fr kaffeine-doc-pt_BR $RPM_BUILD_ROOT%_kde3_docdir/HTML/pt_BR/kaffeine


%clean
rm -rf %{buildroot}



%changelog
* Sun Jul 06 2008 Funda Wang <fundawang@mandriva.org> 0.8.7-1mdv2009.0
+ Revision: 232245
- find all name
- New version 0.8.7

  + Pixel <pixel@mandriva.com>
    - rpm filetriggers deprecates update_menus/update_scrollkeeper/update_mime_database/update_icon_cache/update_desktop_database/post_install_gconf_schemas
    - do not call ldconfig in %%post/%%postun, it is now handled by filetriggers

* Fri May 09 2008 Helio Chissini de Castro <helio@mandriva.com> 0.8.6-3mdv2009.0
+ Revision: 205003
- Move to /opt

* Wed Feb 13 2008 Danilo Cesar Lemes de Paula <danilo@mandriva.com> 0.8.6-2mdv2008.1
+ Revision: 167089
- pt_BR doc files added

  + Thierry Vignaud <tvignaud@mandriva.com>
    - fix gstreamer0.10-devel BR for x86_64

* Sun Jan 27 2008 Funda Wang <fundawang@mandriva.org> 0.8.6-1mdv2008.1
+ Revision: 158750
- clean file list by removing %%exclude
- New version 0.8.5
- Replace desktop patch with desktop-file-install command

* Thu Jan 17 2008 Nicolas Lécureuil <neoclust@mandriva.org> 0.8.5-8mdv2008.1
+ Revision: 154475
- [BUGFIX] Handle real media files with vnd.rn-realmedia mimetype (Bug #36830)

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

* Sun Dec 30 2007 Funda Wang <fundawang@mandriva.org> 0.8.5-7mdv2008.1
+ Revision: 139414
- new license policy
- new website

  + Thierry Vignaud <tvignaud@mandriva.com>
    - kill re-definition of %%buildroot on Pixel's request

  + Nicolas Lécureuil <neoclust@mandriva.org>
    - Fix desktop files
    - Fix patch for wizard as Adam suggested
    - [BUGFIX] Do not show the wizard by default (Bug 34008)

* Sun Sep 16 2007 Anssi Hannula <anssi@mandriva.org> 0.8.5-5mdv2008.0
+ Revision: 87791
- ensure major correctness in filelist
- add build option for building with lame encoding support, disabled by
  default
- add conflicts for smooth upgrade

* Sat Sep 15 2007 Helio Chissini de Castro <helio@mandriva.com> 0.8.5-4mdv2008.0
+ Revision: 85868
- Restore xine engine as default, due new directions ...

* Fri Sep 14 2007 Helio Chissini de Castro <helio@mandriva.com> 0.8.5-3mdv2008.0
+ Revision: 85690
- Split engine packages. GStreamer as default
- Place part.so in correct place

* Tue Jul 31 2007 Tomasz Pawel Gajc <tpg@mandriva.org> 0.8.5-2mdv2008.0
+ Revision: 57105
- new devel library policy
- pass some optimize optiont to the configure script
- make use of %%major
- remove non-fd.o icons
- spec file clean
- drop patch 8 (fixed upstream)
- new version

* Fri Jun 08 2007 David Walluck <walluck@mandriva.org> 0.8.4-7mdv2008.0
+ Revision: 37257
- require explicit version of libgstreamer-devel (needed for pkg-config)
- also requires libgstreamer0.10-plugins-base-devel
- BuildRequires: libvorbis-devel
- fix overloaded macros
- use %%mklibname for devel package
- fix mixture of tabs and spaces
- fix devel provides
- use macro for configure
- remove rm on files that are no longer shipped

  + Nicolas Lécureuil <neoclust@mandriva.org>
    - Add missing Video Keyword and remove Application one.
    - Do not own %%_datadir/apps/profile  dir
    - Fix File list

* Fri Jun 08 2007 Funda Wang <fundawang@mandriva.org> 0.8.4-5mdv2008.0
+ Revision: 37187
- Remove dependency on xine-arts
  remove old menu

  + Anssi Hannula <anssi@mandriva.org>
    - remove hardcoded packager tag

* Sun May 27 2007 Nicolas Lécureuil <neoclust@mandriva.org> 0.8.4-4mdv2008.0
+ Revision: 31846
- Add patch8 (close bug #30469)

* Sun May 27 2007 Nicolas Lécureuil <neoclust@mandriva.org> 0.8.4-3mdv2008.0
+ Revision: 31837
-Fix Buildrequires (close ticket  #30968)

* Sun Apr 22 2007 Laurent Montel <lmontel@mandriva.org> 0.8.4-2mdv2008.0
+ Revision: 16808
- Add xcb support (add build requires gave by Frederik Himpe)

* Wed Apr 18 2007 Laurent Montel <lmontel@mandriva.org> 0.8.4-1mdv2008.0
+ Revision: 14384
- 0.8.4


* Thu Nov 30 2006 Nicolas Lécureuil <neoclust@mandriva.org> 0.8.3-3mdv2007.0
+ Revision: 88919
- Add  Conflicts

* Wed Nov 29 2006 Nicolas Lécureuil <neoclust@mandriva.org> 0.8.3-2mdv2007.1
+ Revision: 88777
- include libkaffeinepart.so in main package (not -devel) #27382

* Mon Nov 27 2006 Laurent Montel <lmontel@mandriva.com> 0.8.3-1mdv2007.1
+ Revision: 87351
- 0.8.3

* Fri Oct 13 2006 Laurent Montel <lmontel@mandriva.com> 0.8.2-1mdv2007.1
+ Revision: 63697
- Add packager tag
- Fix spec file
- 0.8.2

* Sat Sep 09 2006 Laurent Montel <lmontel@mandriva.com> 0.8.1-4mdv2007.0
+ Revision: 60589
- New package (2006-09-08 0.8.1-4mdv)
  Rebuild to generate menu on x86_64

* Wed Aug 09 2006 Laurent Montel <lmontel@mandriva.com> 0.8.1-3mdv2007.0
+ Revision: 54363
- New package (2006/08/08 0.8.1-3mdv)
  Rebuild

* Fri Jul 21 2006 Nicolas Lécureuil <neoclust@mandriva.org> 0.8.1-2mdv2007.0
+ Revision: 41680
- Increase release
- Use macro for icons and macros
- Fix translations as reported on club

  + Laurent Montel <lmontel@mandriva.com>
    - import kaffeine-0.8.1-1mdk

* Fri May 06 2005 Laurent MONTEL <lmontel@mandriva.com> 0.6-4
- Rebuild with new gcc

* Tue May 03 2005 Laurent MONTEL <lmontel@mandriva.com> 0.6-3mdk
- Enable debug
- Add patch10: fix mem leak into kaffeine

* Sat Apr 23 2005 Laurent MONTEL <lmontel@mandriva.com> 0.6-2mdk
- Add patch9: fix lirc profiles (thanks Arnaud de Lorbeau to debug it)

* Mon Mar 21 2005 Laurent MONTEL <lmontel@mandrakesoft.com> 0.6-1mdk
- 0.6

* Wed Mar 09 2005 Buchan Milne <bgmilne@linux-mandrake.com> 0.5-6mdk
- fixes from cvs, allow space to unpause (p7), fix position bar with dvd (p8)
- use mkrel

* Mon Feb 21 2005 Laurent MONTEL <lmontel@mandrakesoft.com> 0.5-5mdk
- Add patch6: fix kaffeine servicemenu french translation 
	gave by Pascal Billery-Schneider <Pascal.Billery-Schneider@bluewin.ch>

* Tue Feb 15 2005 Laurent MONTEL <lmontel@mandrakesoft.com> 0.5-4mdk
- Add patch5: add multimedia shortcut

* Mon Feb 07 2005 Gtz Waschk <waschk@linux-mandrake.com> 0.5-3mdk
- enable workaround for xorg

* Tue Dec 28 2004 Laurent MONTEL <lmontel@mandrakesoft.com> 0.5-2mdk
- Fix spec file
- Fix Url 
- Changes into this release:
	- positions slider uses full available width
	- count-down timer and timer OSD
 	- clear playlist if URL dropped into video window or passed by command line (Konqueror|Open With...)
 	- possibility to shutoff monitor and/or quit after playback
	- pause video playback after minimizing/closing window
 	- when a subtitle file is opened or dropped a dialog box ask for the movie it belongs to
 	- lot of new DCOP functions
 	- fixed garbage characters in titles
 	- fixed crash after changing audio driver
 	- fixed (un)muting arts-driver
 	- fixed seeking in paused mode
 	- fixed drag&drop problems with non-unicode locale
 	- fixed compiler warnings

* Tue Dec 28 2004 Laurent MONTEL <lmontel@mandrakesoft.com> 0.5-1mdk
- 0.5

* Tue Dec 21 2004 Laurent MONTEL <lmontel@mandrakesoft.com> 0.5-0.rc2.2mdk
- Add patch4: fix desktop file

* Fri Nov 12 2004 Gtz Waschk <waschk@linux-mandrake.com> 0.5-0.rc2.1mdk
- drop patch 4
- rediff patch 3
- fix file list
- drop patches 0,1
- new version

* Tue Nov 02 2004 Gwenole Beauchesne <gbeauchesne@mandrakesoft.com> 0.4.3b-10mdk
- fix build on x86_64

* Sat Oct 30 2004 Laurent MONTEL <lmontel@mandrakesoft.com> 0.4.3b-9mdk
- Add patch4: fix mem leak

* Fri Oct 15 2004 Laurent MONTEL <lmontel@mandrakesoft.com> 0.4.3b-8mdk
- Fix load file from web

* Fri Sep 24 2004 Laurent MONTEL <lmontel@mandrakesoft.com> 0.4.3b-7mdk
- Fix initial preference

* Fri Sep 10 2004 Gtz Waschk <waschk@linux-mandrake.com> 0.4.3b-6mdk
- fix typo in French translation

* Tue Sep 07 2004 Laurent MONTEL <lmontel@mandrakesoft.com> 0.4.3b-5mdk
- Add InitialPreference

* Sat Jul 24 2004 Gtz Waschk <waschk@linux-mandrake.com> 0.4.3b-4mdk
- add m3u to the file filter (bug #10391)

* Fri Jul 23 2004 Laurent MONTEL <lmontel@mandrakesoft.com> 0.4.3b-3mdk
-

* Tue Jun 08 2004 Gtz Waschk <waschk@linux-mandrake.com> 0.4.3b-2mdk
- rebuild for new g++

* Fri May 14 2004 Gtz Waschk <waschk@linux-mandrake.com> 0.4.3b-1mdk
- remove the mozilla plugin
- New release 0.4.3b

* Wed May 05 2004 Gtz Waschk <waschk@linux-mandrake.com> 0.4.3-2mdk
- remove conflicting file (bug #9679)

* Tue May 04 2004 Gtz Waschk <waschk@linux-mandrake.com> 0.4.3-1mdk
- add man pages
- fix source URL
- new version

* Sat Apr 03 2004 Gtz Waschk <waschk@linux-mandrake.com> 0.4.2-1mdk
- update file list
- new version

* Mon Feb 09 2004 Gtz Waschk <waschk@linux-mandrake.com> 0.4.1-3mdk
- fix stupid typo, really fixing the conflict with kmplayer

* Sat Feb 07 2004 Gtz Waschk <waschk@linux-mandrake.com> 0.4.1-2mdk
- fix directory ownership
- fix conflict with kmplayer

* Sat Jan 17 2004 Gtz Waschk <waschk@linux-mandrake.com> 0.4.1-1mdk
- fix file list
- fix installation
- remove docs patch
- new version

